#!/bin/bash

check_arch() {
    if [ "$(uname -m)" = "x86_64" ]; then
        export BIT="64"
    else
        export BIT="32"
    fi
}

is_root() {
    if [ "$EUID" -ne 0 ]; then
        log error "This operation requires superuser privilege"
        exit 1
    fi
}

curl_or_wget() {
    if command -v wget > /dev/null; then
        export DWN="wget"
    else
        if command -v curl > /dev/null; then
            export DWN="curl"
        else
            log error "curl or wget?"
            exit 1
        fi
    fi
}

is_available() {
    if ! [ -f "$LIST" ]; then
        echo "Please update the list first"
        exit 3
    fi

    if ! grep -q "$1" "$LIST"; then
        printf "${RED}%s:${CLEAR} %s\n${YELLOW}%s${CLEAR}\n\n"\
            "ERROR" "$1 not available in repo" 'Maybe you need update the list before'
        export AVAIL=false
    else
        export AVAIL=true
    fi
}

is_deb_installed() {
    dpkg -l "$1" | grep -q "ii"
}
