#!/bin/bash

color() {
    if [ "$1" = "on" ]; then
        export RED="\e[0;31m"
        export YELLOW="\e[0;33m"
        export BLUE="\e[0;34m"
        export GREEN="\e[00;32m"
        export CLEAR="\e[0;00m"
        export COLOR=true
    elif [ "$1" = "off" ]; then
        export RED=""
        export YELLOW=""
        export BLUE=""
        export GREEN=""
        export CLEAR=""
        export COLOR=false
    fi
}
color on

log() {
    log_type="$1"
    shift
    case "$log_type" in
        "error") printf "${RED}ERROR:${CLEAR} %s\n" "$*";;
        "warning") printf "${YELLOW}WARNING:${CLEAR} %s\n" "$*";;
        "info") if $VERBOSE; then printf "${BLUE}INFO:${CLEAR} %s\n" "$*"; fi;;
    esac
}

download() {
    link=$1
    dest=$2
    if [ "$DWN" = "wget" ]; then
        if $VERBOSE; then
            wget "$link" -O "$dest"
        else
            wget -nv --show-progress "$link" -O "$dest"
        fi
    else
        if [ "$DWN" = "curl" ]; then
            curl "$link" -o "$dest"
        else
            log error "Install curl or wget first"
            exit 1
        fi
    fi
}

